Bug 1613231 - goferd errors in /var/log/messages of Red Hat Virtualization Host
Summary: goferd errors in /var/log/messages of Red Hat Virtualization Host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.1.11
Hardware: Unspecified
OS: All
unspecified
high
Target Milestone: ovirt-4.2.7
: ---
Assignee: Yuval Turgeman
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-07 09:14 UTC by Sandro Bonazzola
Modified: 2019-04-28 09:46 UTC (History)
16 users (show)

Fixed In Version: redhat-release-virtualization-host-4.2-7.1.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1576738
Environment:
Last Closed: 2018-11-05 15:00:05 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1576738 unspecified NEW goferd errors in /var/log/messages if goferd is installed on host not managed by satellite 2020-10-14 00:28:05 UTC
Red Hat Knowledge Base (Solution) 3391431 None None None 2018-08-07 09:14:18 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 15:02:34 UTC
oVirt gerrit 94031 'None' MERGED host-node: disable goferd service 2020-03-18 12:59:39 UTC
oVirt gerrit 94032 'None' MERGED host-node: disable goferd service 2020-03-18 12:59:39 UTC

Internal Links: 1576738

Description Sandro Bonazzola 2018-08-07 09:14:19 UTC
This bug was initially created as a clone of Bug #1576738

Customer reported these entries are reported in /var/log/messages repeated on all RHV hosts since rebuild and upgrade. 

We are going to workaround this in RHV-H by disabling the service / removing it from enabled presets.

Comment 1 Sandro Bonazzola 2018-09-06 11:25:21 UTC
We are using a workaround on RHV-H side so not blocked anymore by goferd issue.
goferd maintainer will decide how to handle in bug 1576738.

Comment 9 Wei Wang 2018-10-09 02:30:17 UTC
Test Version:
rhvh-4.2.7.1-0.20181003.0
redhat-release-virtualization-host-4.2-7.1.el7.x86_64
gofer-2.12.1-1.el7sat.noarch

Test Steps:
1. Clean install rhvh-4.2.7.1-0.20181003.0
2. Check service goferd status
[root@hp-dl388g9-04 ~]# systemctl status goferd
● goferd.service - Gofer Agent
   Loaded: loaded (/usr/lib/systemd/system/goferd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)
3.Register RHVH to RHVM
4.Check the goferd service status
[root@hp-dl388g9-04 ~]# systemctl status goferd
● goferd.service - Gofer Agent
   Loaded: loaded (/usr/lib/systemd/system/goferd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)
5.Check there is no gofer ERROR in /var/log/messages

Result:
The service goferd is inactive by default, and no gofer error message in log files after installation.

Bug is fixed, change the status to "VERIFIED".

Comment 11 errata-xmlrpc 2018-11-05 15:00:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.